<?php

/*
	Question2Answer 1.4.1 (c) 2011, Gideon Greenspan

	http://www.question2answer.org/

	
	File: qa-include/qa-page-unanswered.php
	Version: 1.4.1
	Date: 2011-07-10 06:58:57 GMT
	Description: Controller for page listing recent questions without answers


	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	More about this license: http://www.question2answer.org/license.php
*/

	if (!defined('QA_VERSION')) { // don't allow this page to be requested directly from browser
		header('Location: ../');
		exit;
	}

	require_once QA_INCLUDE_DIR.'qa-db-selects.php';
	require_once QA_INCLUDE_DIR.'qa-app-format.php';
	require_once QA_INCLUDE_DIR.'qa-app-q-list.php';
	

//	Get list of unanswered questions

	$questions=qa_db_select_with_pending(
		qa_db_unanswered_qs_selectspec($qa_login_userid, $qa_start)
	);
	
	
//	Prepare and return content for theme

	return qa_q_list_page_content(
		$questions, // questions
		qa_opt('page_size_una_qs'), // questions per page
		$qa_start, // start offset
		qa_opt('cache_unaqcount'), // total count
		qa_lang_html('main/unanswered_qs_title'), // title if some questions
		qa_lang_html('main/no_una_questions_found'), // title if no questions
		null, // categories for navigation (null since not shown on this page)
		null, // selected category id (null since not relevant)
		null, // show question counts in category navigation (null since not relevant)
		null, // prefix for links in category navigation (null since no navigation)
		qa_opt('feed_for_unanswered') ? 'unanswered' : null, // prefix for RSS feed paths (null to hide)
		qa_html_suggest_qs_tags(qa_using_tags()) // suggest what to do next
	);


/*
	Omit PHP closing tag to help avoid accidental output
*/